Serveral problems with different plugins
Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.0.0 Regression?: No

Operating System: Microsoft Windows 10 Home / 10.0.16299 N/D Comp. 16299Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26166

Description

After installing QGIS 3.0 I'm having several problems with many plugins.

Microsoft Windows 10 Home / 10.0.16299 N/D Comp. 16299

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =

TypeError: QgsRubberBand.addPoint(): argument 1 has unexpected type 'QgsPoint' 

Traceback (most recent call last):

  File "<USER_PATH>AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\profiletool\tools\ptmaptool.py", line 78, in moved

    self.profiletool.rubberband.addPoint(QgsPoint(self.pointstoDraw[i][0],self.pointstoDraw[i][1]))

TypeError: QgsRubberBand.addPoint(): argument 1 has unexpected type 'QgsPoint'

Versión de Python: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

Versión de QGIS: 3.0.0-Girona Girona, 001c80b0c3 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =

TypeError: QgsRubberBand.addPoint(): argument 1 has unexpected type 'QgsPoint' 

Traceback (most recent call last):

  File "<USER_PATH>AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\profiletool\tools\ptmaptool.py", line 78, in moved

    self.profiletool.rubberband.addPoint(QgsPoint(self.pointstoDraw[i][0],self.pointstoDraw[i][1]))

TypeError: QgsRubberBand.addPoint(): argument 1 has unexpected type 'QgsPoint'

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =

AttributeError: 'QgsMessageBar' object has no attribute 'INFO' 

Traceback (most recent call last):

  File "<USER_PATH>AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\Multi_Ring_Buffer\multi_ring_buffer.py", line 358,

in run

    add_feat = self.dissolve(sel_feats)

  File "<USER_PATH>AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\Multi_Ring_Buffer\multi_ring_buffer.py", line 212,

in dissolve

    self.iface.messageBar().pushWidget(progressMessageBar, self.iface.messageBar().INFO)

AttributeError: 'QgsMessageBar' object has no attribute 'INFO'

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =

History

#1 - 2018-02-28 08:55 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed
QGIS 2 plugins are incompatible with QGIS 3. 3rd party plugins issues must be reported to plugins authors, not here.
